#
# Example 14-2
# Random number generator using qualified names.
#

namespace Random {
	# Create a variable inside the namespace
	variable seed [clock seconds]
}
# Create procedures inside the namespace
proc Random::Init { seed } {
	set ::Random::seed $seed
}
proc Random::Random {} {
	variable seed
	set seed [expr ($seed*9301 + 49297) % 233280]
	return [expr $seed/double(233280)]
}
proc Random::Range { range } {
	expr int([Random]*$range)	
}


