#
# Example 13-9
# Implementing special history syntax.
#

# Excerpts from the standard unknown command
# uplevel is used to run the command in the right context
if {$name == "!!"} {
	return [uplevel {history redo}]
}
if [regexp {^!(.+)$} $name dummy event] {
	return [uplevel [list history redo $event]]
}
if [regexp {^\^([^^]*)\^([^^]*)\^?$} $name dummy old new] {
	return [uplevel [list history substitute $old $new]]
}


